Name: xterm
Version: 166
Release: alt2

Summary: A standard terminal emulator for the X Window System
Summary(ru_RU.KOI8-R):      X Window
Url: http://dickey.his.com/%name
License: MIT
Group: Terminals

Source0: %name-%version.tar.bz2
Source1: %name-terminal-16.xpm
Source2: %name-terminal-32.xpm
Source3: %name-terminal-48.xpm
Source4: %name.menu

Patch1: %name-131-mdk-metaaltfix.patch
Patch2: %name-161-alt-autoconf.patch
Patch3: %name-161-alt-render.patch
Patch4: %name-161-alt-noelf.patch
Patch5: %name-161-alt-utempter.patch
Patch6: %name-161-alt-use-ncurses.patch
Patch7: %name-161-alt-tmp.patch
Patch8: %name-161-alt-deffont.patch
Patch9: termid.patch
Patch10: printable8bit.patch

PreReq: libutempter, /usr/sbin/update-alternatives
Requires: XFree86-libs >= 4.1.0-alt1
Provides: xvt

# Automatically added by buildreq on Sun Jan 06 2002
BuildRequires: libncurses-devel libtermcap-devel libutempter-devel XFree86-devel XFree86-static-libs xpm

%description
The XTerm program is the standard terminal emulator for the X Window System. It
provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly. If the underlying operating system
supports terminal resizing capabilities (for example, the SIGWINCH signal in
systems derived from 4.3bsd), %name will use the facilities to notify programs
running in the window whenever it is resized.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p0

%build
chmod -R u+w .
autoconf
%configure \
	--with-utempter \
	--enable-wide-chars \
	--enable-logging \
	--enable-dec-locator
%make_build

%install
%make_install install \
	bindir=$RPM_BUILD_ROOT%_x11bindir \
	mandir=$RPM_BUILD_ROOT%_x11mandir/man1 \
	appsdir=$RPM_BUILD_ROOT%_sysconfdir/X11/app-defaults

install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_miconsdir/%name-terminal.xpm
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%name-terminal.xpm
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_liconsdir/%name-terminal.xpm
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name

%post
/usr/sbin/update-alternatives --install %_x11bindir/xvt xvt %_x11bindir/%name 20
%update_menus

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/update-alternatives --remove xvt %_x11bindir/%name
fi
%clean_menus

%files
%attr(2711,root,utempter) %_x11bindir/%name
%_x11bindir/u%name
%_x11bindir/resize
%_x11mandir/man?/*
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%_menudir/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%doc README README.os390

%changelog
* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 166-alt1
- 166.
- Updated dependencies.

* Tue Jan 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 165-alt1
- 165.
- Fixed tmp files handling.
- Fixed build to use ncurses instead of termcap.
- Fixed out libelf-devel requirement for build.
- Changed alternative for xvt (priority=20).
- Utempter support: use XDisplayString as remote hostname.
- Built with DECterm Locator support enabled.
- Cleanup for non-alt patches and docs.
- Added xvt to provides list.

* Tue Oct 16 2001 Dmitry V. Levin <ldv@alt-linux.org> 161-alt1
- 161.
- Specfile cleanup.
- Built with new utempter protocol support enabled.
- Built with logging support enabled (ok for sgid-utempter program).

* Tue Sep 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 158-alt1
- Rebuilt with new XFree86
- New version 158
- Some spec cleanup

* Fri Jun 8 2001 AEN <aen@logic.ru> 156-alt4
- XFree requires removed

* Wed Jun 6 2001 AEN <aen@logic.ru> 156-alt3
- xft restored

* Wed Jun 6 2001 AEN <aen@logic.ru> 156-alt2
- xft patch temporary removed
- bidi patch temporary removed

* Tue Jun 5 2001 AEN <aen@logic.ru> 156-alt1
- build for Sisyphus

* Wed May 09 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 156-3mdk
- actually enabled support for use of locales and bidi

* Tue May 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 156-2mdk
- add bidirectional support (ie for semitic languages)

* Tue May 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 156-1mdk
- new release
- fix render test

* Mon Apr 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 155-1mdk
- newrelease

* Thu  Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 154-1mdk
- New and shiny 154 bumped into cooker.

* Sat Mar 31 2001 Frederic Lepied <flepied@mandrakesoft.com> 152-3mdk
- enable unicode

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 152-2mdk
- recompiled to activate the Render extension.

* Thu Mar 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 152-1mdk
- new release

* Mon Mar 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 151-1mdk
- new version

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 150-2mdk
- add as alternative xvt

* Sun Dec 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 150-1mdk
- new and shiny source.

* Tue Dec 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 149-1mdk
- Fix compilation with last XFree.
- 149.

* Thu Nov 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 148-1mdk
- new release

* Fri Aug 25 2000 David BAUDENS <baudens@mandrakesoft.com> 144-2mdk
- Fix Menu entry (fix name, add longtitle and provide icons)
- Fix Sumary and Description
- Fix %%doc

* Thu Aug 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 144-1mdk
- s|143|144|.

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 143-1mdk
- new and shiny version.

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 142-1mdk
- even more use of the _menudir macro.
- a new and shiny version.

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 141-2mdk
- fix usage of macro before its definition: you don't get any chickens before
  they hatch.!

* Tue Aug 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 141-1mdk
- s|140|141|.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 140-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 140-1mdk
- more macros (_menudir and the like : geoffroy sucks:-) )
- new release

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 139-2mdk
- fix silly typo in summary

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 139-1mdk
- xterm source has moved
- new version
- some macro-ization

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 131-4mdk
- remove full path of icon in menu entry

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-3mdk
- Set menu in /Terminals.

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-2mdk
- Requires: XFree86 >= 3.3.6-13mdk to avoid conflicts.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-1mdk
- Menu.
- First version.
- Fix meta-alt keys (Hey hey fred ;)).
